GDCM: vtkGDCMImageReader2 Class Reference

GDCM 3.0.26

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkGDCMImageReader2 Class Reference

`#include <vtkGDCMImageReader2.h>`

Inheritance diagram for vtkGDCMImageReader2:
[legend]
Collaboration diagram for vtkGDCMImageReader2:
[legend]

## Public Member Functions
virtual int | CanReadFile (const char *fname)
virtual const char * | GetDescriptiveName ()
virtual const char * | GetFileExtensions ()
vtkImageData * | GetIconImage ()
vtkAlgorithmOutput * | GetIconImagePort ()
vtkImageData * | GetOverlay (int i)
vtkAlgorithmOutput * | GetOverlayPort (int index)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetCurve (vtkPolyData *pd)
virtual void | SetMedicalImageProperties (vtkMedicalImageProperties *pd)
| vtkBooleanMacro (ApplyLookupTable, int)
int | vtkBooleanMacro (ApplyYBRToRGB, int)
| vtkBooleanMacro (LoadIconImage, int)
| vtkBooleanMacro (LoadOverlays, int)
| vtkBooleanMacro (LossyFlag, int)
| vtkGetMacro (ApplyLookupTable, int)
| vtkGetMacro (ApplyYBRToRGB, int) vtkSetMacro(ApplyYBRToRGB
| vtkGetMacro (ImageFormat, int)
| vtkGetMacro (LoadIconImage, int)
| vtkGetMacro (LoadOverlays, int)
| vtkGetMacro (LossyFlag, int)
| vtkGetMacro (NumberOfIconImages, int)
| vtkGetMacro (NumberOfOverlays, int)
| vtkGetMacro (PlanarConfiguration, int)
| vtkGetMacro (Scale, double)
| vtkGetMacro (Shift, double)
| vtkGetObjectMacro (Curve, vtkPolyData)
| vtkGetObjectMacro (DirectionCosines, vtkMatrix4x4)
| vtkGetVector3Macro (ImagePositionPatient, double)
| vtkGetVector6Macro (ImageOrientationPatient, double)
| vtkSetMacro (ApplyLookupTable, int)
| vtkSetMacro (LoadIconImage, int)
| vtkSetMacro (LoadOverlays, int)
| vtkSetMacro (LossyFlag, int)
| vtkTypeMacro (vtkGDCMImageReader2, vtkMedicalImageReader2)

## Static Public Member Functions
static vtkGDCMImageReader2 * | New ()

## Protected Member Functions
| vtkGDCMImageReader2 ()
| ~vtkGDCMImageReader2 ()
void | FillMedicalImageInformation (const gdcm::ImageReader &reader)
int | LoadSingleFile (const char *filename, char *pointer, unsigned long &outlen)
int | ProcessRequest (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector)
int | RequestData (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector)
int | RequestDataCompat ()
int | RequestInformation (vtkInformation *request, vtkInformationVector **inputVector, vtkInformationVector *outputVector)
int | RequestInformationCompat ()
void | SetFilePattern (const char *)
void | SetFilePrefix (const char *)
| vtkGetStringMacro (FilePattern)
| vtkGetStringMacro (FilePrefix)
| vtkSetVector6Macro (ImageOrientationPatient, double)

## Protected Attributes
int | ApplyInverseVideo
int | ApplyLookupTable
int | ApplyPlanarConfiguration
int | ApplyShiftScale
int | ApplyYBRToRGB
vtkPolyData * | Curve
vtkMatrix4x4 * | DirectionCosines
int | ForceRescale
int | IconDataScalarType
int | IconImageDataExtent [6]
int | IconNumberOfScalarComponents
int | ImageFormat
double | ImageOrientationPatient [6]
double | ImagePositionPatient [3]
int | LoadIconImage
int | LoadOverlays
int | LossyFlag
int | NumberOfIconImages
int | NumberOfOverlays
int | PlanarConfiguration
double | Scale
double | Shift

## Detailed Description

Examples
  Compute3DSpacing.cxx.

## Constructor & Destructor Documentation

## ◆ vtkGDCMImageReader2()

vtkGDCMImageReader2::vtkGDCMImageReader2 | ( |  | ) |
| protected

References vtkGDCMImageReader2().

Referenced by vtkGDCMImageReader2(), ~vtkGDCMImageReader2(), New(), vtkGetStringMacro(), and vtkTypeMacro().

## ◆ ~vtkGDCMImageReader2()

vtkGDCMImageReader2::~vtkGDCMImageReader2 | ( |  | ) |
| protected

References vtkGDCMImageReader2().

## Member Function Documentation

## ◆ CanReadFile()

virtual int vtkGDCMImageReader2::CanReadFile | ( | const char * | fname | ) |
| virtual

## ◆ FillMedicalImageInformation()

void vtkGDCMImageReader2::FillMedicalImageInformation | ( | const gdcm::ImageReader & | reader | ) |
| protected

References FillMedicalImageInformation().

Referenced by FillMedicalImageInformation().

## ◆ GetDescriptiveName()

virtual const char * vtkGDCMImageReader2::GetDescriptiveName | ( |  | ) |
| inlinevirtual

## ◆ GetFileExtensions()

virtual const char * vtkGDCMImageReader2::GetFileExtensions | ( |  | ) |
| inlinevirtual

## ◆ GetIconImage()

vtkImageData * vtkGDCMImageReader2::GetIconImage | ( |  | ) |

## ◆ GetIconImagePort()

vtkAlgorithmOutput * vtkGDCMImageReader2::GetIconImagePort | ( |  | ) |

## ◆ GetOverlay()

vtkImageData * vtkGDCMImageReader2::GetOverlay | ( | int | i | ) |

## ◆ GetOverlayPort()

vtkAlgorithmOutput * vtkGDCMImageReader2::GetOverlayPort | ( | int | index | ) |

## ◆ LoadSingleFile()

int vtkGDCMImageReader2::LoadSingleFile | ( | const char * | filename,
|  | char * | pointer,
|  | unsigned long & | outlen )
| protected

References LoadSingleFile().

Referenced by LoadSingleFile().

## ◆ New()

static vtkGDCMImageReader2 * vtkGDCMImageReader2::New | ( |  | ) |
| static

Examples
  Compute3DSpacing.cxx.

References vtkGDCMImageReader2().

## ◆ PrintSelf()

virtual void vtkGDCMImageReader2::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent )
| virtual

## ◆ ProcessRequest()

int vtkGDCMImageReader2::ProcessRequest | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector )
| protected

References ProcessRequest().

Referenced by ProcessRequest().

## ◆ RequestData()

int vtkGDCMImageReader2::RequestData | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector )
| protected

References RequestData().

Referenced by RequestData().

## ◆ RequestDataCompat()

int vtkGDCMImageReader2::RequestDataCompat | ( |  | ) |
| protected

References RequestDataCompat().

Referenced by RequestDataCompat().

## ◆ RequestInformation()

int vtkGDCMImageReader2::RequestInformation | ( | vtkInformation * | request,
|  | vtkInformationVector ** | inputVector,
|  | vtkInformationVector * | outputVector )
| protected

References RequestInformation().

Referenced by RequestInformation().

## ◆ RequestInformationCompat()

int vtkGDCMImageReader2::RequestInformationCompat | ( |  | ) |
| protected

References RequestInformationCompat().

Referenced by RequestInformationCompat().

## ◆ SetCurve()

virtual void vtkGDCMImageReader2::SetCurve | ( | vtkPolyData * | pd | ) |
| virtual

References SetCurve().

Referenced by SetCurve().

## ◆ SetFilePattern()

void vtkGDCMImageReader2::SetFilePattern | ( | const char * |  | ) |
| inlineprotected

## ◆ SetFilePrefix()

void vtkGDCMImageReader2::SetFilePrefix | ( | const char * |  | ) |
| inlineprotected

References SetFilePrefix().

Referenced by SetFilePrefix().

## ◆ SetMedicalImageProperties()

virtual void vtkGDCMImageReader2::SetMedicalImageProperties | ( | vtkMedicalImageProperties * | pd | ) |
| virtual

## ◆ vtkBooleanMacro() [1/5]

vtkGDCMImageReader2::vtkBooleanMacro | ( | ApplyLookupTable | ,
|  | int | )

References ApplyLookupTable.

## ◆ vtkBooleanMacro() [2/5]

int vtkGDCMImageReader2::vtkBooleanMacro | ( | ApplyYBRToRGB | ,
|  | int | )

References ApplyYBRToRGB, and vtkBooleanMacro().

## ◆ vtkBooleanMacro() [3/5]

vtkGDCMImageReader2::vtkBooleanMacro | ( | LoadIconImage | ,
|  | int | )

References LoadIconImage.

## ◆ vtkBooleanMacro() [4/5]

vtkGDCMImageReader2::vtkBooleanMacro | ( | LoadOverlays | ,
|  | int | )

References LoadOverlays.

Referenced by vtkBooleanMacro().

## ◆ vtkBooleanMacro() [5/5]

vtkGDCMImageReader2::vtkBooleanMacro | ( | LossyFlag | ,
|  | int | )

References LossyFlag.

## ◆ vtkGetMacro() [1/11]

vtkGDCMImageReader2::vtkGetMacro | ( | ApplyLookupTable | ,
|  | int | )

References ApplyLookupTable.

## ◆ vtkGetMacro() [2/11]

vtkGDCMImageReader2::vtkGetMacro | ( | ApplyYBRToRGB | ,
|  | int | )

References ApplyYBRToRGB, and vtkSetMacro().

## ◆ vtkGetMacro() [3/11]

vtkGDCMImageReader2::vtkGetMacro | ( | ImageFormat | ,
|  | int | )

References ImageFormat, and vtkGetMacro().

## ◆ vtkGetMacro() [4/11]

vtkGDCMImageReader2::vtkGetMacro | ( | LoadIconImage | ,
|  | int | )

References LoadIconImage.

## ◆ vtkGetMacro() [5/11]

vtkGDCMImageReader2::vtkGetMacro | ( | LoadOverlays | ,
|  | int | )

References LoadOverlays.

Referenced by vtkGetMacro(), vtkGetMacro(), vtkGetMacro(), and vtkGetMacro().

## ◆ vtkGetMacro() [6/11]

vtkGDCMImageReader2::vtkGetMacro | ( | LossyFlag | ,
|  | int | )

References LossyFlag.

## ◆ vtkGetMacro() [7/11]

vtkGDCMImageReader2::vtkGetMacro | ( | NumberOfIconImages | ,
|  | int | )

References NumberOfIconImages.

## ◆ vtkGetMacro() [8/11]

vtkGDCMImageReader2::vtkGetMacro | ( | NumberOfOverlays | ,
|  | int | )

References NumberOfOverlays.

## ◆ vtkGetMacro() [9/11]

vtkGDCMImageReader2::vtkGetMacro | ( | PlanarConfiguration | ,
|  | int | )

References PlanarConfiguration, and vtkGetMacro().

## ◆ vtkGetMacro() [10/11]

vtkGDCMImageReader2::vtkGetMacro | ( | Scale | ,
|  | double | )

References Scale, and vtkGetMacro().

## ◆ vtkGetMacro() [11/11]

vtkGDCMImageReader2::vtkGetMacro | ( | Shift | ,
|  | double | )

References Shift, and vtkGetMacro().

## ◆ vtkGetObjectMacro() [1/2]

vtkGDCMImageReader2::vtkGetObjectMacro | ( | Curve | ,
|  | vtkPolyData | )

References Curve, and vtkGetObjectMacro().

## ◆ vtkGetObjectMacro() [2/2]

vtkGDCMImageReader2::vtkGetObjectMacro | ( | DirectionCosines | ,
|  | vtkMatrix4x4 | )

References DirectionCosines.

Referenced by vtkGetObjectMacro().

## ◆ vtkGetStringMacro() [1/2]

vtkGDCMImageReader2::vtkGetStringMacro | ( | FilePattern |  | ) |
| protected

References vtkGDCMImageReader2().

## ◆ vtkGetStringMacro() [2/2]

vtkGDCMImageReader2::vtkGetStringMacro | ( | FilePrefix |  | ) |
| protected

## ◆ vtkGetVector3Macro()

vtkGDCMImageReader2::vtkGetVector3Macro | ( | ImagePositionPatient | ,
|  | double | )

References ImagePositionPatient, and vtkGetVector3Macro().

Referenced by vtkGetVector3Macro().

## ◆ vtkGetVector6Macro()

vtkGDCMImageReader2::vtkGetVector6Macro | ( | ImageOrientationPatient | ,
|  | double | )

References ImageOrientationPatient, and vtkGetVector6Macro().

Referenced by vtkGetVector6Macro().

## ◆ vtkSetMacro() [1/4]

vtkGDCMImageReader2::vtkSetMacro | ( | ApplyLookupTable | ,
|  | int | )

References ApplyLookupTable.

## ◆ vtkSetMacro() [2/4]

vtkGDCMImageReader2::vtkSetMacro | ( | LoadIconImage | ,
|  | int | )

References LoadIconImage.

## ◆ vtkSetMacro() [3/4]

vtkGDCMImageReader2::vtkSetMacro | ( | LoadOverlays | ,
|  | int | )

References LoadOverlays.

Referenced by vtkGetMacro().

## ◆ vtkSetMacro() [4/4]

vtkGDCMImageReader2::vtkSetMacro | ( | LossyFlag | ,
|  | int | )

References LossyFlag.

## ◆ vtkSetVector6Macro()

vtkGDCMImageReader2::vtkSetVector6Macro | ( | ImageOrientationPatient | ,
|  | double | )
| protected

References ImageOrientationPatient, and vtkSetVector6Macro().

Referenced by vtkSetVector6Macro().

## ◆ vtkTypeMacro()

vtkGDCMImageReader2::vtkTypeMacro | ( | vtkGDCMImageReader2 | ,
|  | vtkMedicalImageReader2 | )

References vtkGDCMImageReader2().

## Member Data Documentation

## ◆ ApplyInverseVideo

int vtkGDCMImageReader2::ApplyInverseVideo
| protected

## ◆ ApplyLookupTable

int vtkGDCMImageReader2::ApplyLookupTable
| protected

Referenced by vtkBooleanMacro(), vtkGetMacro(), and vtkSetMacro().

## ◆ ApplyPlanarConfiguration

int vtkGDCMImageReader2::ApplyPlanarConfiguration
| protected

## ◆ ApplyShiftScale

int vtkGDCMImageReader2::ApplyShiftScale
| protected

## ◆ ApplyYBRToRGB

int vtkGDCMImageReader2::ApplyYBRToRGB
| protected

Referenced by vtkBooleanMacro(), and vtkGetMacro().

## ◆ Curve

vtkPolyData* vtkGDCMImageReader2::Curve
| protected

Referenced by vtkGetObjectMacro().

## ◆ DirectionCosines

vtkMatrix4x4* vtkGDCMImageReader2::DirectionCosines
| protected

Referenced by vtkGetObjectMacro().

## ◆ ForceRescale

int vtkGDCMImageReader2::ForceRescale
| protected

## ◆ IconDataScalarType

int vtkGDCMImageReader2::IconDataScalarType
| protected

## ◆ IconImageDataExtent

int vtkGDCMImageReader2::IconImageDataExtent[6]
| protected

## ◆ IconNumberOfScalarComponents

int vtkGDCMImageReader2::IconNumberOfScalarComponents
| protected

## ◆ ImageFormat

int vtkGDCMImageReader2::ImageFormat
| protected

Referenced by vtkGetMacro().

## ◆ ImageOrientationPatient

double vtkGDCMImageReader2::ImageOrientationPatient[6]
| protected

Referenced by vtkGetVector6Macro(), and vtkSetVector6Macro().

## ◆ ImagePositionPatient

double vtkGDCMImageReader2::ImagePositionPatient[3]
| protected

Referenced by vtkGetVector3Macro().

## ◆ LoadIconImage

int vtkGDCMImageReader2::LoadIconImage
| protected

Referenced by vtkBooleanMacro(), vtkGetMacro(), and vtkSetMacro().

## ◆ LoadOverlays

int vtkGDCMImageReader2::LoadOverlays
| protected

Referenced by vtkBooleanMacro(), vtkGetMacro(), and vtkSetMacro().

## ◆ LossyFlag

int vtkGDCMImageReader2::LossyFlag
| protected

Referenced by vtkBooleanMacro(), vtkGetMacro(), and vtkSetMacro().

## ◆ NumberOfIconImages

int vtkGDCMImageReader2::NumberOfIconImages
| protected

Referenced by vtkGetMacro().

## ◆ NumberOfOverlays

int vtkGDCMImageReader2::NumberOfOverlays
| protected

Referenced by vtkGetMacro().

## ◆ PlanarConfiguration

int vtkGDCMImageReader2::PlanarConfiguration
| protected

Referenced by vtkGetMacro().

## ◆ Scale

double vtkGDCMImageReader2::Scale
| protected

Referenced by vtkGetMacro().

## ◆ Shift

double vtkGDCMImageReader2::Shift
| protected

Referenced by vtkGetMacro().

The documentation for this class was generated from the following file:

- vtkGDCMImageReader2.h